#!/usr/bin/python

#
# test-scan - Time how long it takes to rescan the whole db
#
# Copyright (C) 2009  Enrico Zini <enrico@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

from aptxapianindex import *
from optparse import OptionParser
import sys

import os
import xapian

# Access the Xapian index
db = xapian.WritableDatabase("/var/lib/apt-xapian-index/index.1", xapian.DB_OPEN)

for idx, m in enumerate(db.postlist("")):
    doc = db.get_document(m.docid)
    val = doc.get_value(1)
    doc.add_value(11, "antani")
    db.replace_document(m.docid, doc)

sys.exit(0)
